Subject: bug#55932: error report

From: Anedroid <[email-masked]>
Date: Sun, 12 Jun 2022 19:45:38 +0200

I've got the following error when I guix pull. You asked me to send it
all to [email-masked].

$ guix pull
Updating channel 'guix' from Git repository at '
https://git.savannah.gnu.org/git/guix.git'...
Building from this channel:
  guix      https://git.savannah.gnu.org/git/guix.git   9c036f2
Backtrace:
In ice-9/boot-9.scm:
  1752:10 19 (with-exception-handler _ _ #:unwind? _ # _)
In unknown file:
          18 (apply-smob/0 #<thunk 7fb3c6c1c2e0>)
In ice-9/boot-9.scm:
    724:2 17 (call-with-prompt _ _ #<procedure default-prompt-handle?>)
In ice-9/eval.scm:
    619:8 16 (_ #(#(#<directory (guile-user) 7fb3c6c21c80>)))
In guix/ui.scm:
   2230:7 15 (run-guix . _)
  2193:10 14 (run-guix-command _ . _)
In ice-9/boot-9.scm:
  1752:10 13 (with-exception-handler _ _ #:unwind? _ # _)
  1752:10 12 (with-exception-handler _ _ #:unwind? _ # _)
In guix/scripts/substitute.scm:
   771:15 11 (_)
In ice-9/exceptions.scm:
   406:15 10 (process-substitution #<output: file 4> _ "/gnu/store/?"
?)
In ice-9/boot-9.scm:
  1752:10  9 (with-exception-handler _ _ #:unwind? _ # _)
In guix/scripts/substitute.scm:
    479:9  8 (_)
In ice-9/boot-9.scm:
  1747:15  7 (with-exception-handler #<procedure 7fb3c588a5d0 at ic?>
?)
Backtrace:
  1685:16  6 (raise-exception _ #:continuable? _)
  1683:16  5 (raise-exception _ #:continuable? _)
  1685:16  4 (raise-exception _ #:continuable? _)
  1780:13  3 (_ #<&compound-exception components: (#<&error> #<&irri?>)
  1685:16  2 (raise-exception _ #:continuable? _)
  1683:16  1 (raise-exception _ #:continuable? _)
  1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
ERROR:
  1. &http-get-error:
      uri: #<<uri> scheme: https userinfo: #f host: "ci.guix.gnu.org"
port: #f path: "/nar/lzip/gkjna040y14xvk4y5mcccvjkkmdcvmnv-font-dejavu-
2.37" query: #f fragment: #f>
      code: 502
      reason: "Bad Gateway"
      headers: ((server . "nginx") (date . #<date nanosecond: 0 second:
5 minute: 23 hour: 17 day: 12 month: 6 year: 2022 zone-offset: 0>)
(content-type text/html) (content-length . 150) (connection keep-
alive))
  2. &message: "
https://ci.guix.gnu.org/nar/lzip/gkjna040y14xvk4y5mcccvjkkmdcvmnv-font-dejavu-2.37
: HTTP download failed: 502 (\"Bad Gateway\")"
substitution of /gnu/store/gkjna040y14xvk4y5mcccvjkkmdcvmnv-font-
dejavu-2.37 failed
          17 (primitive-load
"/gnu/store/10rf7wjdy2k2fxfsf20x5czn8bc5c14x-compute-guix-derivation")
In ice-9/eval.scm:
    155:9 16 (_ _)
    159:9 15 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?>
?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
In ice-9/boot-9.scm:
    152:2 14 (with-fluid* _ _ _)
    152:2 13 (with-fluid* _ _ _)
In ./guix/store.scm:
  2168:24 12 (run-with-store #<store-connection 256.99 7ff753a2a140>
#<procedure 7ff744f56d70 at ./guix/self.scm:12?> ?)
   1996:8 11 (_ #<store-connection 256.99 7ff753a2a140>)
In ./guix/gexp.scm:
   300:22 10 (_ #<store-connection 256.99 7ff753a2a140>)
   1181:2  9 (_ #<store-connection 256.99 7ff73aa8aaf0>)
   1047:2  8 (_ #<store-connection 256.99 7ff73aa8aaf0>)
    893:4  7 (_ #<store-connection 256.99 7ff73aa8aaf0>)
In ./guix/store.scm:
  2053:12  6 (_ #<store-connection 256.99 7ff73aa8aaf0>)
   1401:5  5 (map/accumulate-builds #<store-connection 256.99
7ff73aa8aaf0> #<procedure 7ff73af6d980 at ./guix/stor?> ?)
  1417:15  4 (_ #<store-connection 256.99 7ff73aa8aaf0>
("/gnu/store/aydpjcbw96pr57ad74gfcw0dn0ix5hic-guile-avah?" ?) ?)
  1417:15  3 (loop #f)
   711:11  2 (process-stderr #<store-connection 256.99 7ff73aa8aaf0> _)
In ./guix/serialization.scm:
   102:11  1 (read-int #<input-output: file 10>)
     80:6  0 (get-bytevector-n* #<input-output: file 10> 8)

./guix/serialization.scm:80:6: In procedure get-bytevector-n*:
ERROR:
  1. &nar-error:
      file: #f
      port: #<input-output: file 10>

-- 
greetings,
Anedroid

PS: I use GnuPG for encrypting and signing emails. Please, read the
FSF's Email Self-defense guide <https://emailselfdefense.fsf.org> and
use end-to-end encryption to protect others from mass surveillance.
Thank you!